- Home
- API Enriched
- Tenant And Identity
- ml
- GET API Endpoints Stats for Namespace.
GET API Endpoints Stats for Namespace.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/api_endpoints/stats';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","vhosts_filter":["example"],"vhosts_types_filter":["VIRTUAL_SERVICE"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/api_endpoints/stats \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "vhosts_filter": [ "example" ], "vhosts_types_filter": [ "VIRTUAL_SERVICE" ] }'GET API endpoints stats for the given Namespace.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the App type for current request.
Request Bodyrequired
Section titled “Request Bodyrequired”Request shape for GET API Endpoints Stats.
object
Namespace of the App type for current request.
List of Virtual Hosts for current request If the list is empty or not provided, it will return stats for all virtual hosts under the requested namespace.
List of Virtual Hosts types for current request If the list is empty or not provided, it will return stats for all virtual hosts under the requested namespace.
Responses
Section titled “Responses”A successful response.
Response shape for GET API endpoints Stats.
object
Number of endpoints that categorized as discover.
Number of endpoints that categorized as inventory.
Number of endpoints that detected with pii.
Number of endpoints that categorized as shadow.
Total endpoints.
Examplegenerated
{ "discovered": 1, "inventory": 1, "pii_detected": 1, "shadow": 1, "total_endpoints": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example